﻿using UnityEngine;

public class AIShooting : MonoBehaviour
{
    /// <summary>
    /// gameiino.com / store.gameiino.com / play.gameiino.com / سایت های ما
    /// t.me/gameiino_learning / t.me/gameiino_play / t.me/gameiino_store / کانال های ما در فضای مجازی
    /// <summary>

    [SerializeField] private float redius = 6;
    [SerializeField] private Transform spawnArea;
    [SerializeField] private GameObject bullet;
    [SerializeField] private int speed;

    private Collider[] colliderSearch;
    private int timer = 0;

    private void FixedUpdate()
    {
        timer += 1;

        colliderSearch = Physics.OverlapSphere(transform.position, redius);

        foreach (Collider collider in colliderSearch)
        {
            if (collider.tag == "Player")
            {
                Transform playerPos = collider.gameObject.transform;
                transform.LookAt(playerPos.position);

                if (timer >= 20)
                {
                    GameObject bulletClone = Instantiate(bullet, spawnArea.position, spawnArea.rotation);
                    bulletClone.GetComponent<Rigidbody>().AddForce(spawnArea.forward * speed);
                    Destroy(bulletClone, 1);
                    timer = 0;
                }
            }
        }
    }

}
